<?php

function theme_activate($id, $version, &$errors)
{
  global $prefixeTable, $conf;

  if (!isset($conf['stripped']))
  {
    $config = array(
	'hideMenu'						=> true,
	'animatedMenu'					=> true,
	'animatedTabs'					=> true,
	'noLowercase'					=> false,
	'showThumbLegend'				=> false,
	'showTitleOnBrowsePath'			=> false,
	'showDescriptionInsteadOfTitle'	=> false,
	'useNavigationArrows'			=> true,
	'infoTabAdminOnly'				=> false,
	'defaultTab'					=> "none",
	'imageAutosize'					=> true,
	'imageAutosizeTitle'			=> true,
	'imageAutosizeMargin'			=> 60,
	'imageAutosizeMinHeight'		=> 200,
	'imagePreload'					=> false,
	'imagePreloadNb'				=> 5,
	'imagePreloadThumbs'			=> false,
	'imagePreloadHD'				=> false,
	'navThumbsFade'					=> 150,
	'marginContainer'				=> 30,
	'paddingContainer'				=> 10,
	'defaultZoomSize'				=> 'fit',
	'highResClickMode'				=> 'zoom',
      );
      
    $query = "
INSERT INTO " . CONFIG_TABLE . " (param,value,comment)
VALUES ('stripped' , '".pwg_db_real_escape_string(serialize($config))."' , 'stripped theme parameters');";

    pwg_query($query);
  }
}

function theme_deactivate()
{
  global $prefixeTable;

  $query = "DELETE FROM " . CONFIG_TABLE . " WHERE param='stripped';";
  pwg_query($query);
}

?>